## rust-ognibuild 0.2.6

=== debian/changelog ===
rust-ognibuild (0.2.6-1) unstable; urgency=medium

  * Package ognibuild 0.2.6 from crates.io using debcargo 2.7.11

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 03 Dec 2025 01:03:16 +0000
