## rust-ognibuild 0.2.7

=== debian/changelog ===
rust-ognibuild (0.2.7-2) unstable; urgency=medium

  * Drop patch drop-apt-sources, now that apt-sources crate is in rust.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 16 Feb 2026 09:39:58 +0000

rust-ognibuild (0.2.7-1) unstable; urgency=medium

  * Package ognibuild 0.2.7 from crates.io using debcargo 2.7.11

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 05 Feb 2026 16:50:04 +0000

rust-ognibuild (0.2.6-2) unstable; urgency=medium

  * Update disable-broken-tests to also skip tests that try to create
    a socket which doesn't work in the default Ubuntu autopkgtest
    environment (Closes: #1123556, LP: #2136182)

 -- Max Gilmour <max.gilmour@canonical.com>  Wed, 17 Dec 2025 13:13:33 -0800
