=== debian/control ===
Source: rust-ognibuild
Section: rust
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-breezyshim-0.7+default-dev (>= 0.7.4),
 librust-buildlog-consultant-0.1+default-dev (>= 0.1.1),
 librust-chrono-0.4+default-dev (>= 0.4.42),
 librust-clap-4+default-dev (>= 4.5),
 librust-clap-4+derive-dev (>= 4.5),
 librust-clap-4+env-dev (>= 4.5),
 librust-deb822-lossless+default-dev (<< 0.6),
 librust-deb822-lossless+default-dev (>= 0.4.7),
 librust-dirs+default-dev (<< 7),
 librust-dirs+default-dev (>= 5),
 librust-env-logger+default-dev (>= 0.10),
 librust-fs-extra-1+default-dev (>= 1.3.0),
 librust-inventory+default-dev (>= 0.3),
 librust-lazy-regex-3+default-dev (>= 3.4),
 librust-lazy-static-1+default-dev (>= 1.5),
 librust-libc-0.2+default-dev (>= 0.2.172),
 librust-log-0.4+default-dev (>= 0.4.21),
 librust-makefile-lossless+default-dev (<< 0.4),
 librust-makefile-lossless+default-dev (>= 0.2.1),
 librust-maplit-1+default-dev (>= 1.0.2),
 librust-nix+default-dev (>= 0.27.0),
 librust-nix+user-dev (>= 0.27.0),
 librust-pep508-rs-0.9+default-dev (>= 0.9.1),
 librust-percent-encoding-2+default-dev (>= 2.3.1),
 librust-pyo3+default-dev (<< 0.29),
 librust-pyo3+default-dev (>= 0.27),
 librust-pyproject-toml-0.13+default-dev (>= 0.13.4),
 librust-r-description-0.3+default-dev (>= 0.3.5),
 librust-r-description-0.3+serde-dev (>= 0.3.5),
 librust-rand-0.8+default-dev (>= 0.8.5),
 librust-regex-1+default-dev (>= 1.11.2),
 librust-semver-1+default-dev (>= 1.0.26),
 librust-serde-1+default-dev (>= 1.0.219),
 librust-serde-1+derive-dev (>= 1.0.219),
 librust-serde-json-1+default-dev (>= 1.0.120),
 librust-serde-yaml-0.9+default-dev (>= 0.9.34),
 librust-shlex-1+default-dev (>= 1.3.0),
 librust-tempfile-3+default-dev (>= 3.23),
 librust-tokio-1+default-dev (>= 1.47.1),
 librust-tokio-1+full-dev (>= 1.47.1),
 librust-toml-0.9+default-dev (>= 0.9.8),
 librust-toml-edit+default-dev (<< 0.25),
 librust-toml-edit+default-dev (>= 0.23),
 librust-upstream-ontologist-0.3+default-dev (>= 0.3.2),
 librust-url-2+default-dev (>= 2.5.4),
 librust-whoami-1-dev (>= 1.5),
 librust-xmltree+default-dev (<< 0.13),
 librust-xmltree+default-dev (>= 0.10)
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Jelmer Vernooĳ <jelmer@debian.org>
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/ognibuild]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/ognibuild
Homepage: https://github.com/jelmer/ognibuild
X-Cargo-Crate: ognibuild
X-Cargo-Crate-Version: 0.2.7

Package: librust-ognibuild-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-apt-sources-0.1+default-dev (>= 0.1.1),
 librust-breezyshim-0.7+debian-dev (>= 0.7.4),
 librust-breezyshim-0.7+default-dev (>= 0.7.4),
 librust-buildlog-consultant-0.1+default-dev (>= 0.1.1),
 librust-chrono-0.4+default-dev (>= 0.4.42),
 librust-clap-4+default-dev (>= 4.5),
 librust-clap-4+derive-dev (>= 4.5),
 librust-clap-4+env-dev (>= 4.5),
 librust-deb822-lossless+default-dev (<< 0.6),
 librust-deb822-lossless+default-dev (>= 0.4.7),
 librust-debian-analyzer-0.160+default-dev (>= 0.160.1),
 librust-debian-changelog-0.2+default-dev (>= 0.2.3),
 librust-debian-control-0.2+default-dev (>= 0.2.7),
 librust-debversion-0.5+default-dev,
 librust-dirs+default-dev (<< 7),
 librust-dirs+default-dev (>= 5),
 librust-env-logger+default-dev (>= 0.10),
 librust-flate2-1+default-dev (>= 1.0.33),
 librust-fs-extra-1+default-dev (>= 1.3.0),
 librust-inventory+default-dev (>= 0.3),
 librust-lazy-regex-3+default-dev (>= 3.4),
 librust-lazy-static-1+default-dev (>= 1.5),
 librust-libc-0.2+default-dev (>= 0.2.172),
 librust-log-0.4+default-dev (>= 0.4.21),
 librust-lz4-flex+default-dev (>= 0.11),
 librust-lzma-rs-0.3+default-dev,
 librust-makefile-lossless+default-dev (<< 0.4),
 librust-makefile-lossless+default-dev (>= 0.2.1),
 librust-maplit-1+default-dev (>= 1.0.2),
 librust-nix+default-dev (>= 0.27.0),
 librust-nix+user-dev (>= 0.27.0),
 librust-pep508-rs-0.9+default-dev (>= 0.9.1),
 librust-percent-encoding-2+default-dev (>= 2.3.1),
 librust-pyo3+default-dev (<< 0.29),
 librust-pyo3+default-dev (>= 0.27),
 librust-pyproject-toml-0.13+default-dev (>= 0.13.4),
 librust-r-description-0.3+default-dev (>= 0.3.5),
 librust-r-description-0.3+serde-dev (>= 0.3.5),
 librust-rand-0.8+default-dev (>= 0.8.5),
 librust-regex-1+default-dev (>= 1.11.2),
 librust-reqwest+blocking-dev (<< 0.14),
 librust-reqwest+blocking-dev (>= 0.12),
 librust-reqwest+default-dev (<< 0.14),
 librust-reqwest+default-dev (>= 0.12),
 librust-reqwest+json-dev (<< 0.14),
 librust-reqwest+json-dev (>= 0.12),
 librust-semver-1+default-dev (>= 1.0.26),
 librust-serde-1+default-dev (>= 1.0.219),
 librust-serde-1+derive-dev (>= 1.0.219),
 librust-serde-json-1+default-dev (>= 1.0.120),
 librust-serde-yaml-0.9+default-dev (>= 0.9.34),
 librust-shlex-1+default-dev (>= 1.3.0),
 librust-sqlx-0.8+default-dev (>= 0.8.3),
 librust-sqlx-0.8+postgres-dev (>= 0.8.3),
 librust-sqlx-0.8+runtime-tokio-native-tls-dev (>= 0.8.3),
 librust-stackdriver-logger-0.8+default-dev (>= 0.8.2),
 librust-tempfile-3+default-dev (>= 3.23),
 librust-tokio-1+default-dev (>= 1.47.1),
 librust-tokio-1+full-dev (>= 1.47.1),
 librust-toml-0.9+default-dev (>= 0.9.8),
 librust-toml-edit+default-dev (<< 0.25),
 librust-toml-edit+default-dev (>= 0.23),
 librust-upstream-ontologist-0.3+default-dev (>= 0.3.2),
 librust-url-2+default-dev (>= 2.5.4),
 librust-whoami-1-dev (>= 1.5),
 librust-xmltree+default-dev (<< 0.13),
 librust-xmltree+default-dev (>= 0.10)
Provides:
 librust-ognibuild+breezy-dev (= ${binary:Version}),
 librust-ognibuild+cli-dev (= ${binary:Version}),
 librust-ognibuild+debian-dev (= ${binary:Version}),
 librust-ognibuild+default-dev (= ${binary:Version}),
 librust-ognibuild+stackdriver-logger-dev (= ${binary:Version}),
 librust-ognibuild+udd-dev (= ${binary:Version}),
 librust-ognibuild+upstream-dev (= ${binary:Version}),
 librust-ognibuild-0-dev (= ${binary:Version}),
 librust-ognibuild-0+breezy-dev (= ${binary:Version}),
 librust-ognibuild-0+cli-dev (= ${binary:Version}),
 librust-ognibuild-0+debian-dev (= ${binary:Version}),
 librust-ognibuild-0+default-dev (= ${binary:Version}),
 librust-ognibuild-0+stackdriver-logger-dev (= ${binary:Version}),
 librust-ognibuild-0+udd-dev (= ${binary:Version}),
 librust-ognibuild-0+upstream-dev (= ${binary:Version}),
 librust-ognibuild-0.2-dev (= ${binary:Version}),
 librust-ognibuild-0.2+breezy-dev (= ${binary:Version}),
 librust-ognibuild-0.2+cli-dev (= ${binary:Version}),
 librust-ognibuild-0.2+debian-dev (= ${binary:Version}),
 librust-ognibuild-0.2+default-dev (= ${binary:Version}),
 librust-ognibuild-0.2+stackdriver-logger-dev (= ${binary:Version}),
 librust-ognibuild-0.2+udd-dev (= ${binary:Version}),
 librust-ognibuild-0.2+upstream-dev (= ${binary:Version}),
 librust-ognibuild-0.2.7-dev (= ${binary:Version}),
 librust-ognibuild-0.2.7+breezy-dev (= ${binary:Version}),
 librust-ognibuild-0.2.7+cli-dev (= ${binary:Version}),
 librust-ognibuild-0.2.7+debian-dev (= ${binary:Version}),
 librust-ognibuild-0.2.7+default-dev (= ${binary:Version}),
 librust-ognibuild-0.2.7+stackdriver-logger-dev (= ${binary:Version}),
 librust-ognibuild-0.2.7+udd-dev (= ${binary:Version}),
 librust-ognibuild-0.2.7+upstream-dev (= ${binary:Version})
Description: Detect and run any build system - Rust source code
 Source code for Debianized Rust crate "ognibuild"

Package: ognibuild
Architecture: any
Section: devel
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends},
 brz-debian,
 python3-build
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Detect and run any build system
 Ognibuild is a simple wrapper with a common interface for invoking any kind of
 build tool.
 .
 The ideas is that it can be run to build and install any source code directory
 by detecting the build system that is in use and invoking that with the correct
 parameters.
 .
 It can also detect and install missing dependencies.
